<template>
    <lightning-card title="Invoices List" icon-name="custom:custom63">
    <template if:true={invoiceLists}>
    <template if:true={invoiceLists.isSuccess}>
    <div style="height: 300px;">
    <lightning-datatable
    key-field="id"
    data={invoiceLists.d.results}
    columns={columns}>
    </lightning-datatable>
    </div>
    </template>
    <template if:false={invoiceLists.isSuccess}>
    {invoiceLists.errorMessage}
    </template>
    </template>
    <template if:false={invoiceLists}>
        <lightning-spinner alternative-text="Loading"></lightning-spinner>
    </template>
    </lightning-card>
    </template>